> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment link

> Developer API operation for POST /dev/v1/payment-links.



## OpenAPI

````yaml /openapi.json post /dev/v1/payment-links
openapi: 3.0.3
info:
  title: Shoppex Developer API
  description: Mintlify-compatible Developer API reference for Shoppex.
  version: 1.0.0
  contact:
    name: Shoppex Support
    email: support@shoppex.io
    url: https://shoppex.io
servers:
  - url: https://api.shoppex.io
security:
  - bearerAuth: []
paths:
  /dev/v1/payment-links:
    post:
      tags:
        - Payment Links
      summary: Create payment link
      description: Developer API operation for POST /dev/v1/payment-links.
      operationId: postDevV1Payment-links
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - name
                - type
                - status
                - price
                - gateways
                - discount_code_allowed
                - customer_address_required
                - customer_phone_required
                - show_confirmation_page
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                type:
                  type: string
                  enum:
                    - PRODUCT
                    - SUBSCRIPTION
                    - SUBSCRIPTION_V2
                    - LICENSE
                    - PAY_WHAT_YOU_WANT
                    - FIXED_PRICE
                description:
                  type: string
                  nullable: true
                  maxLength: 255
                status:
                  anyOf:
                    - type: boolean
                    - type: string
                price:
                  anyOf:
                    - type: number
                    - type: string
                suggested_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                min_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                max_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                currency:
                  type: string
                  default: USD
                gateways:
                  type: string
                products_ids:
                  type: string
                  default: ''
                suggested_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                min_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                max_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                discount_code_allowed:
                  anyOf:
                    - type: boolean
                    - type: string
                customer_address_required:
                  anyOf:
                    - type: boolean
                    - type: string
                customer_phone_required:
                  anyOf:
                    - type: boolean
                    - type: string
                cta:
                  type: string
                  default: PAY
                show_confirmation_page:
                  anyOf:
                    - type: boolean
                    - type: string
                return_url:
                  type: string
                  nullable: true
                  maxLength: 255
              example:
                name: Spring sale
                type: FIXED_PRICE
                status: true
                price: '19.99'
                currency: USD
                gateways: stripe
                products_ids: ''
                discount_code_allowed: false
                customer_address_required: false
                customer_phone_required: false
                show_confirmation_page: false
          application/x-www-form-urlencoded:
            schema:
              type: object
              required:
                - name
                - type
                - status
                - price
                - gateways
                - discount_code_allowed
                - customer_address_required
                - customer_phone_required
                - show_confirmation_page
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                type:
                  type: string
                  enum:
                    - PRODUCT
                    - SUBSCRIPTION
                    - SUBSCRIPTION_V2
                    - LICENSE
                    - PAY_WHAT_YOU_WANT
                    - FIXED_PRICE
                description:
                  type: string
                  nullable: true
                  maxLength: 255
                status:
                  anyOf:
                    - type: boolean
                    - type: string
                price:
                  anyOf:
                    - type: number
                    - type: string
                suggested_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                min_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                max_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                currency:
                  type: string
                  default: USD
                gateways:
                  type: string
                products_ids:
                  type: string
                  default: ''
                suggested_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                min_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                max_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                discount_code_allowed:
                  anyOf:
                    - type: boolean
                    - type: string
                customer_address_required:
                  anyOf:
                    - type: boolean
                    - type: string
                customer_phone_required:
                  anyOf:
                    - type: boolean
                    - type: string
                cta:
                  type: string
                  default: PAY
                show_confirmation_page:
                  anyOf:
                    - type: boolean
                    - type: string
                return_url:
                  type: string
                  nullable: true
                  maxLength: 255
              example:
                name: Spring sale
                type: FIXED_PRICE
                status: true
                price: '19.99'
                currency: USD
                gateways: stripe
                products_ids: ''
                discount_code_allowed: false
                customer_address_required: false
                customer_phone_required: false
                show_confirmation_page: false
          multipart/form-data:
            schema:
              type: object
              required:
                - name
                - type
                - status
                - price
                - gateways
                - discount_code_allowed
                - customer_address_required
                - customer_phone_required
                - show_confirmation_page
              properties:
                name:
                  type: string
                  minLength: 1
                  maxLength: 255
                type:
                  type: string
                  enum:
                    - PRODUCT
                    - SUBSCRIPTION
                    - SUBSCRIPTION_V2
                    - LICENSE
                    - PAY_WHAT_YOU_WANT
                    - FIXED_PRICE
                description:
                  type: string
                  nullable: true
                  maxLength: 255
                status:
                  anyOf:
                    - type: boolean
                    - type: string
                price:
                  anyOf:
                    - type: number
                    - type: string
                suggested_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                min_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                max_price:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                currency:
                  type: string
                  default: USD
                gateways:
                  type: string
                products_ids:
                  type: string
                  default: ''
                suggested_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                min_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                max_amount:
                  nullable: true
                  anyOf:
                    - type: number
                    - type: string
                discount_code_allowed:
                  anyOf:
                    - type: boolean
                    - type: string
                customer_address_required:
                  anyOf:
                    - type: boolean
                    - type: string
                customer_phone_required:
                  anyOf:
                    - type: boolean
                    - type: string
                cta:
                  type: string
                  default: PAY
                show_confirmation_page:
                  anyOf:
                    - type: boolean
                    - type: string
                return_url:
                  type: string
                  nullable: true
                  maxLength: 255
              example:
                name: Spring sale
                type: FIXED_PRICE
                status: true
                price: '19.99'
                currency: USD
                gateways: stripe
                products_ids: ''
                discount_code_allowed: false
                customer_address_required: false
                customer_phone_required: false
                show_confirmation_page: false
      responses:
        '200':
          description: Successful response
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                example:
                  data:
                    payment_link:
                      uniqid: plink_1
                      name: Spring sale
                      is_active: true
                      show_confirmation_page: false
                      url: https://checkout.shoppex.io/pay/plink_1
      deprecated: false
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Use your Shoppex API key in the Authorization header.

````